RUSTDOC-STRIPPER(1)

NAME
rustdoc-stripper - rustdoc-stripper

DESCRIPTION

  Available options for rustdoc-stripper:

-h | --help
    : Displays this help

-s | --strip
    : Strips the specified folder's files and create a file with doc comments (comments.md by default)

-g | --regenerate
    : Recreate files with doc comments from reading doc comments file (comments.md by default)

-n | --no-file-output
    : Display doc comments directly on stdout

-i | --ignore [filename]
    : Ignore the specified file, can be repeated as much as needed, only used when stripping files, ignored otherwise

-d | --dir [directory]
    : Specify a directory path to work on, optional

-v | --verbose
    : Activate verbose mode

-f | --force
    : Remove confirmation demands

-m | --ignore-macros
    : Macros in hierarchy will be ignored (so only macros with doc comments will appear in the comments file)

-o | --comment-file
    : Specify the file where you want to save/load doc comments

-x | --ignore-doc-commented: When regenerating doc comments, if doc comments
    are already present, stored doc comment won't be regenerated

By default, rustdoc-stripper is run with -s option: ./rustdoc-stripper -s

IMPORTANT: Only files ending with '.rs' will be stripped/regenerated.